/*=========================================================================
  SrchTabs.c -- This module contains initialized structures that are used
  as indexes to the startable (see star5.c for the search algorithms).

  Copyright (c) 1986 by Ray R. Larson
  
  This program may be freely distributed and copied, but may not be sold
  without the permission of the author. If you modify or enhance it, 
  please include the above credits (and please send me a copy!).

Ray R. Larson
6425 Central Ave. #304
El Cerrito, CA 94530

BitNet  LARSON@UCBCMSA
=========================================================================*/
/*------------Header file for all of the standard stuff----*/ 
/*-------------plus definitions of global structures-------*/
#include "star.h"

extern struct star_rec StarTable[];

SHORT StarIndex[MAXSTARS] = {
/* ACAMAR    	*/  52,
/* ACHERNAR    	*/  30,
/* ACHIRD    	*/  17,
/* ACRUX    	*/  285,
/* ACUBENS    	*/  209,
/* ADHARA    	*/  161,
/* AIN    	*/  88,
/* AKRAB    	*/  390,
/* AL BALI    	*/  543,
/* AL DHANAB  	*/  582,
/* AL GEIBA    	*/  235,
/* AL GIEDI    	*/  529,
/* AL NAIR    	*/  570,
/* AL NIYAT    	*/  399,
/* AL RAKIS    	*/  424,
/* AL RISCHA    */  38,
/* ALADFAR    	*/  507,
/* ALBALDAH    	*/  506,
/* ALBIREO    	*/  515,
/* ALCHIBA    	*/  270,
/* ALCOR    	*/  322,
/* ALCYONE    	*/  74,
/* ALDEBARAN    */  89,
/* ALDERAMIN    */  552,
/* ALDHAFERA    */  233,
/* ALDHIBAIN    */  403,
/* ALDIB    	*/  508,
/* ALDIBAH    	*/  427,
/* ALFIRK    	*/  554,
/* ALGENIB    	*/  3,
/* ALGOL    	*/  56,
/* ALGORAB    	*/  287,
/* ALHENA    	*/  149,
/* ALIFA    	*/  384,
/* ALIOTH    	*/  306,
/* ALKAFZAH    	*/  263,
/* ALKAID    	*/  331,
/* ALKALUROPS   */  370,
/* ALMACH    	*/  39,
/* ALNILAM    	*/  123,
/* ALNITAK    	*/  127,
/* ALPHA CAM    */  92,
/* ALPHA TUC    */  575,
/* ALPHARD    	*/  219,
/* ALPHECCA    	*/  374,
/* ALPHERATZ    */  1,
/* ALSCHAIN    	*/  524,
/* ALSCIAUKAT   */  215,
/* ALSUHAIL    	*/  211,
/* ALTAIR    	*/  522,
/* ALTERF    	*/  220,
/* ALTHALIMAIN  */  503,
/* ALUDRA    	*/  173,
/* ALULA AUSTRALIS */  254,
/* ALULA BOREALIS  */  255,
/* ALYA    	*/  497,
/* ALZIRR    	*/  154,
/* ANCHA    	*/  574,
/* ANGETENAR    */  59,
/* ANKAA    	*/  6,
/* ANTARES    	*/  404,
/* ARCTURUS    	*/  342,
/* ARKAB    	*/  511,
/* ARKAP    	*/  473,
/* ARNEB    	*/  114,
/* ASCELLA    	*/  501,
/* ASELLUS    	*/  344,
/* ASELLUS AUSTRALIS */  201,
/* ASELLUS BOREALIS  */  200,
/* ASMIDISKE    */  187,
/* ATI    	*/  66,
/* ATIK    	*/  76,
/* ATLAS    	*/  75,
/* AVIOR    	*/  197,
/* AZELFAFAGE   */  565,
/* AZHA    	*/  51,
/* BATEN KAITOS */  34,
/* BEID    	*/  84,
/* BELLATRIX    */  107,
/* BETA ARA    	*/  436,
/* BETA CAM    	*/  95,
/* BETA CNC    	*/  196,
/* BETA DOR    	*/  122,
/* BETA MON    	*/  147,
/* BETA PAV    	*/  538,
/* BETA PSA    	*/  580,
/* BETA SER    	*/  382,
/* BETELGEUSE   */  135,
/* BIHAM    	*/  571,
/* BOTEIN    	*/  58,
/* CANOPUS    	*/  146,
/* CAPELLA    	*/  104,
/* CAPH    	*/  2,
/* CASTOR    	*/  177,
/* CHELEB    	*/  451,
/* CHI 1 ORI    */  116,
/* CHI CAR    	*/  189,
/* CHI HYA    	*/  248,
/* CHI LEO    	*/  247,
/* CHOO    	*/  440,
/* COMA CLUSTER */  280,
/* COR CAROLI   */  308,
/* COXA    	*/  251,
/* CRUCIS    	*/  273,
/* CUJAM    	*/  402,
/* CURSA    	*/  101,
/* DABIH    	*/  530,
/* DELTA AND    */  8,
/* DELTA AQL    */  514,
/* DELTA BOO    */  361,
/* DELTA CEN    */  269,
/* DELTA CEP    */  578,
/* DELTA LIB    */  356,
/* DELTA LUP    */  365,
/* DELTA LYR    */  495,
/* DELTA PER    */  64,
/* DELTA PSA    */  589,
/* DELTA SCT    */  486,
/* DELTA SER    */  375,
/* DELTA TAU    */  86,
/* DENEB    	*/  537,
/* DENEB AL OKAB*/  502,
/* DENEB AL SCHEMALI*/  4,
/* DENEB ALGIEDI*/  566,
/* DENEBOLA    	*/  264,
/* DIADEM    	*/  312,
/* DIPHDA    	*/  13,
/* DSCHUBBA    	*/  388,
/* DSIBAN    	*/  452,
/* DUBHE    	*/  246,
/* E GEM    	*/  159,
/* ED ASICH    	*/  371,
/* EL NASL    	*/  465,
/* EL NATH    	*/  108,
/* ELECTRA    	*/  69,
/* ELTANIN    	*/  458,
/* ENIF    	*/  561,
/* EPSILON AQL  */  499,
/* EPSILON CEN  */  327,
/* EPSILON CEP  */  573,
/* EPSILON CRV  */  271,
/* EPSILON ERI  */  62,
/* EPSILON HER  */  422,
/* EPSILON HYA  */  203,
/* EPSILON LEP  */  100,
/* EPSILON LUP  */  366,
/* EPSILON LYR  */  489,
/* EPSILON PER  */  77,
/* EPSILON UMI  */  416,
/* ER RAI    	*/  598,
/* ETA AQL    	*/  523,
/* ETA CAR    	*/  240,
/* ETA CEN    	*/  346,
/* ETA CEP    	*/  541,
/* ETA CET    	*/  21,
/* ETA CRB    	*/  369,
/* ETA CYG    	*/  525,
/* ETA HER    	*/  411,
/* ETA LEO    	*/  230,
/* ETA LUP    	*/  386,
/* ETA ORI    	*/  106,
/* ETA PER    	*/  49,
/* ETA PSC    	*/  26,
/* ETA SCO    	*/  426,
/* ETA SER    	*/  477,
/* ETA UMI    	*/  397,
/* FOMALHUAT    */  590,
/* FURUD    	*/  142,
/* GAMMA ARA    */  437,
/* GAMMA CET    */  48,
/* GAMMA CRB    */  379,
/* GAMMA CRU    */  288,
/* GAMMA DEL    */  539,
/* GAMMA GRU    */  567,
/* GAMMA HYA    */  316,
/* GAMMA LEP    */  129,
/* GAMMA LUP    */  373,
/* GAMMA PER    */  54,
/* GAMMA PSA    */  587,
/* GEMINI 1    	*/  138,
/* GIANSAR    	*/  260,
/* GIENA    	*/  540,
/* GIENAH    	*/  275,
/* GIRTAB    	*/  450,
/* GOMEISA    	*/  174,
/* GRAFFIAS    	*/  417,
/* HADAR    	*/  339,
/* HAMAL    	*/  40,
/* HAN    	*/  408,
/* HASSALEH    	*/  93,
/* HATSYA    	*/  121,
/* HEKA    	*/  117,
/* HEZE    	*/  325,
/* HOEDUS    	*/  98,
/* HOMAM    	*/  583,
/* HYADUM    	*/  85,
/* IC-1396    	*/  558,
/* IC-342    	*/  68,
/* IC-4681    	*/  468,
/* IOTA CAS    	*/  44,
/* IOTA CEN    	*/  317,
/* IOTA CNC    	*/  204,
/* IOTA LEO    	*/  258,
/* IOTA LIB    	*/  360,
/* IOTA PER    	*/  57,
/* IOTA SCO    	*/  455,
/* IOTA SER    	*/  378,
/* IZAR    	*/  349,
/* JABBAH    	*/  392,
/* JUZA    	*/  472,
/* KAPPA CEN    */  355,
/* KAPPA GEM    */  184,
/* KAPPA LEO    */  217,
/* KAPPA OPH    */  420,
/* KAPPA PEG    */  563,
/* KAPPA UMA    */  210,
/* KAUS AUSTRALIS*/  479,
/* KAUS BOREALIS*/  481,
/* KERB    	*/  50,
/* KOCHAB    	*/  353,
/* KOO SHE    	*/  202,
/* KORNEPHORUS  */  406,
/* KRAZ    	*/  291,
/* KUMA    	*/  443,
/* KURDAH    	*/  568,
/* KW KOUAN    	*/  354,
/* LAMBDA AND   */  597,
/* LAMBDA CEN   */  261,
/* LAMBDA GEM   */  168,
/* LAMBDA PEG   */  585,
/* LAMBDA TAU   */  80,
/* LESUTH    	*/  439,
/* M-1    	*/  115,
/* M-10    	*/  419,
/* M-100    	*/  279,
/* M-101    	*/  337,
/* M-103    	*/  27,
/* M-104    	*/  297,
/* M-11    	*/  492,
/* M-12    	*/  412,
/* M-13    	*/  410,
/* M-14    	*/  447,
/* M-15    	*/  553,
/* M-16    	*/  474,
/* M-17    	*/  478,
/* M-18    	*/  475,
/* M-19    	*/  423,
/* M-2    	*/  557,
/* M-20    	*/  460,
/* M-21    	*/  464,
/* M-22    	*/  484,
/* M-23    	*/  457,
/* M-26    	*/  490,
/* M-27    	*/  526,
/* M-28    	*/  480,
/* M-3    	*/  328,
/* M-30    	*/  560,
/* M-31    	*/  11,
/* M-32    	*/  12,
/* M-34    	*/  45,
/* M-35    	*/  140,
/* M-36    	*/  118,
/* M-37    	*/  134,
/* M-38    	*/  110,
/* M-39    	*/  556,
/* M-4    	*/  400,
/* M-41    	*/  156,
/* M-42    	*/  120,
/* M-44    	*/  199,
/* M-45    	*/  73,
/* M-46    	*/  183,
/* M-47    	*/  179,
/* M-48    	*/  195,
/* M-49    	*/  286,
/* M-5    	*/  364,
/* M-50    	*/  162,
/* M-51    	*/  324,
/* M-52    	*/  596,
/* M-53    	*/  313,
/* M-54    	*/  494,
/* M-55    	*/  517,
/* M-56    	*/  509,
/* M-57    	*/  493,
/* M-58    	*/  295,
/* M-59    	*/  300,
/* M-6    	*/  448,
/* M-60    	*/  301,
/* M-61    	*/  278,
/* M-62    	*/  421,
/* M-63    	*/  315,
/* M-64    	*/  309,
/* M-65    	*/  256,
/* M-66    	*/  257,
/* M-67    	*/  205,
/* M-68    	*/  296,
/* M-69    	*/  482,
/* M-7    	*/  456,
/* M-70    	*/  487,
/* M-72    	*/  544,
/* M-73    	*/  546,
/* M-74    	*/  29,
/* M-75    	*/  527,
/* M-76    	*/  31,
/* M-77    	*/  47,
/* M-78    	*/  130,
/* M-79    	*/  105,
/* M-8    	*/  462,
/* M-80    	*/  395,
/* M-81    	*/  228,
/* M-82    	*/  229,
/* M-83    	*/  326,
/* M-84    	*/  283,
/* M-85    	*/  281,
/* M-86    	*/  284,
/* M-87    	*/  289,
/* M-88    	*/  290,
/* M-89    	*/  292,
/* M-9    	*/  432,
/* M-90    	*/  294,
/* M-92    	*/  431,
/* M-93    	*/  185,
/* M-94    	*/  304,
/* M-95    	*/  238,
/* M-96    	*/  242,
/* M-97    	*/  253,
/* M-98    	*/  272,
/* M-99    	*/  277,
/* MAAZ    	*/  96,
/* MAIA    	*/  71,
/* MARFAK    	*/  20,
/* MARFIC    	*/  405,
/* MARFIK    	*/  391,
/* MARKAB    	*/  593,
/* MARKEB    	*/  216,
/* MASYM    	*/  445,
/* MATAR    	*/  584,
/* MEBSUTA    	*/  153,
/* MEDIA    	*/  476,
/* MEGREZ    	*/  274,
/* MEKBUDA    	*/  164,
/* MEN    	*/  348,
/* MENKALINAN   */  136,
/* MENKAR    	*/  53,
/* MENKENT    	*/  340,
/* MENKIB    	*/  78,
/* MERAK    	*/  245,
/* MEROPE    	*/  72,
/* MESARTHIM    */  35,
/* MIAPLACIDUS  */  213,
/* MIMOSA    	*/  302,
/* MINELAUVA   	*/  307,
/* MINTAKA    	*/  113,
/* MIRA    	*/  42,
/* MIRACH    	*/  22,
/* MIRFAK    	*/  60,
/* MIZAR    	*/  319,
/* MU CEN    	*/  332,
/* MU CEP    	*/  564,
/* MU COL    	*/  131,
/* MU CYG    	*/  562,
/* MU HER    	*/  454,
/* MU LEP    	*/  102,
/* MU LIB    	*/  350,
/* MU PER    	*/  83,
/* MU SCO    	*/  414,
/* MU SGR    	*/  471,
/* MU VELA    	*/  243,
/* MUHLIFAIN   	*/  298,
/* MULIPHEN    	*/  165,
/* MUPHRID    	*/  335,
/* MURZAM    	*/  144,
/* MUSCIDA    	*/  198,
/* NASHIRA    	*/  559,
/* NAVI    	*/  19,
/* NEBECULA MAJOR*/  112,
/* NEKKAR    	*/  357,
/* NEMBUS    	*/  67,
/* NGC-104    	*/  5,
/* NGC-1501    	*/  81,
/* NGC-1502    	*/  82,
/* NGC-1784    	*/  99,
/* NGC-188    	*/  10,
/* NGC-2070    	*/  128,
/* NGC-2158    	*/  139,
/* NGC-2237    	*/  148,
/* NGC-2261    	*/  150,
/* NGC-2264    	*/  152,
/* NGC-2362    	*/  171,
/* NGC-2392    	*/  175,
/* NGC-2403    	*/  178,
/* NGC-2419    	*/  180,
/* NGC-2420    	*/  181,
/* NGC-246    	*/  15,
/* NGC-247    	*/  16,
/* NGC-2477    	*/  188,
/* NGC-2516    	*/  190,
/* NGC-2683    	*/  206,
/* NGC-2903    	*/  221,
/* NGC-3242    	*/  237,
/* NGC-3372    	*/  241,
/* NGC-3532    	*/  249,
/* NGC-3766    	*/  262,
/* NGC-3918    	*/  265,
/* NGC-4038    	*/  268,
/* NGC-4258    	*/  276,
/* NGC-4394    	*/  282,
/* NGC-4565    	*/  293,
/* NGC-4755    	*/  305,
/* NGC-4945    	*/  311,
/* NGC-5053    	*/  314,
/* NGC-5102    	*/  318,
/* NGC-5128    	*/  321,
/* NGC-5139    	*/  323,
/* NGC-5286    	*/  329,
/* NGC-5316    	*/  334,
/* NGC-5897    	*/  363,
/* NGC-5921    	*/  367,
/* NGC-615    	*/  28,
/* NGC-6231    	*/  415,
/* NGC-6530    	*/  463,
/* NGC-6544    	*/  466,
/* NGC-6553    	*/  469,
/* NGC-6559    	*/  470,
/* NGC-6642    	*/  483,
/* NGC-6752    	*/  505,
/* NGC-6791    	*/  513,
/* NGC-6822    	*/  518,
/* NGC-6939    	*/  533,
/* NGC-6946    	*/  534,
/* NGC-6992    	*/  545,
/* NGC-7000    	*/  547,
/* NGC-7009    	*/  548,
/* NGC-7023    	*/  549,
/* NGC-7293    	*/  579,
/* NGC-7331    	*/  581,
/* NGC-7635    	*/  595,
/* NGC-869    	*/  41,
/* NGC-884    	*/  43,
/* NIHAL    	*/  111,
/* NU CEN    	*/  333,
/* NU HYA    	*/  244,
/* NU OPH    	*/  459,
/* NU PUP    	*/  151,
/* NU SER    	*/  434,
/* NUBECULA MINOR*/  18,
/* NUNKI    	*/  496,
/* NUSAKAN    	*/  372,
/* OMEGA AND    */  25,
/* OMEGA CAR    */  232,
/* OMEGA CMA    */  167,
/* OMEGA LEO    */  218,
/* OMICRON AND  */  591,
/* OMICRON CMA  */  163,
/* OMICRON HER  */  467,
/* OMICRON SER  */  449,
/* PEACOCK    	*/  532,
/* PHACT    	*/  126,
/* PHECDA    	*/  267,
/* PHERKAD    	*/  368,
/* PHI SGR    	*/  488,
/* PHI UMA    	*/  226,
/* PI AND    	*/  7,
/* PI CMA    	*/  160,
/* PI HER    	*/  430,
/* PI HYA    	*/  341,
/* PI ORI    	*/  91,
/* PI PUP    	*/  169,
/* PI SCO    	*/  385,
/* POLARIS    	*/  33,
/* POLLUX    	*/  186,
/* PORRIMA    	*/  299,
/* PROCYON    	*/  182,
/* PROPUS    	*/  145,
/* PSI AQR    	*/  594,
/* PSI SER    	*/  381,
/* PSI UMA    	*/  250,
/* R LEP    	*/  94,
/* RANA    	*/  65,
/* RAS ALGETHI  */  428,
/* RAS ALHAGUE  */  444,
/* RAS ELASED   */  224,
/* RASALAS    	*/  227,
/* RASTABAN    	*/  441,
/* REGULUS    	*/  231,
/* RHO HER    	*/  438,
/* RHO OPH    	*/  401,
/* RHO PER    	*/  55,
/* RIGEL    	*/  103,
/* RIGEL KENTAURUS*/  347,
/* ROTANEV    	*/  535,
/* RUCHBAH    	*/  24,
/* RUKBAT    	*/  512,
/* RUTILICUS    */  409,
/* SABIK    	*/  425,
/* SAD AL BARI  */  586,
/* SADACHBIA    */  576,
/* SADALMELIK   */  569,
/* SADALSUND    */  555,
/* SADATONI    	*/  97,
/* SADOR    	*/  520,
/* SADR    	*/  531,
/* SAIPH    	*/  132,
/* SARGAS    	*/  446,
/* SARIN    	*/  429,
/* SCHEAT    	*/  592,
/* SCHEDAR    	*/  9,
/* SEGIN    	*/  36,
/* SEGINUS    	*/  345,
/* SHAULA    	*/  442,
/* SHELIAK    	*/  491,
/* SHERATAN    	*/  37,
/* SIGMA AQL    */  516,
/* SIGMA CRB    */  394,
/* SIGMA ORI    */  125,
/* SIGMA PUP    */  176,
/* SIGMA UMA    */  212,
/* SIRIUS    	*/  155,
/* SITULA    	*/  542,
/* SKAT    	*/  588,
/* SPICA    	*/  320,
/* SUALOCIN    	*/  536,
/* SUBRA    	*/  223,
/* SUHAIL    	*/  193,
/* SUHAIL HADAR */  191,
/* SULAFAT    	*/  500,
/* SYRMA    	*/  343,
/* T CRB    	*/  387,
/* TALITHA    	*/  208,
/* TANIA AUSTRALIS*/  236,
/* TANIA BOREALIS*/  234,
/* TARAZED    	*/  519,
/* TAU BOO    	*/  330,
/* TAU CET    	*/  32,
/* TAU CYG    	*/  551,
/* TAU HER    	*/  398,
/* TAU LEO    	*/  259,
/* TAU OPH    	*/  461,
/* TAU PUP    	*/  158,
/* TAU SCO    	*/  407,
/* TAU SGR    	*/  504,
/* TAU TAU    	*/  90,
/* TAYGATE    	*/  70,
/* TEGMENI    	*/  194,
/* TEJAT POSTERIOR*/  143,
/* TEJAT PRIOR  */  141,
/* THABIT    	*/  109,
/* THEEMINI    	*/  63,
/* THETA AQL    */  528,
/* THETA AUR    */  137,
/* THETA CAR    */  239,
/* THETA GEM    */  157,
/* THETA OPH    */  435,
/* THETA ORI    */  119,
/* THETA PER    */  46,
/* THETA TAU    */  87,
/* THETA UMA    */  222,
/* THUBAN    	*/  338,
/* TURAIS    	*/  192,
/* TUREIS    	*/  214,
/* TYL    	*/  521,
/* UNUK AL HAI  */  380,
/* UPSILON CAR  */  225,
/* UPSILON LIB  */  377,
/* UPSILON SGR  */  510,
/* UW CMA    	*/  170,
/* VEGA    	*/  485,
/* VINDEMIATRIX */  310,
/* WASAT    	*/  172,
/* WEI    	*/  413,
/* WESEN    	*/  166,
/* WEZN    	*/  133,
/* XI BOO    	*/  352,
/* XI OPH    	*/  433,
/* XI SCO    	*/  389,
/* XI SGR    	*/  498,
/* XI TAU    	*/  61,
/* XI UMI    	*/  383,
/* YED POSTERIOR*/  396,
/* YED PRIOR    */  393,
/* YILDUN    	*/  453,
/* ZANIAH    	*/  303,
/* ZAWIJAH    	*/  266,
/* ZETA AND    	*/  14,
/* ZETA AQR    	*/  577,
/* ZETA ARA    	*/  418,
/* ZETA CEN    	*/  336,
/* ZETA CEP    	*/  572,
/* ZETA CYG    	*/  550,
/* ZETA HYA    	*/  207,
/* ZETA LUP    	*/  359,
/* ZETA PSC    	*/  23,
/* ZETA TAU    	*/  124,
/* ZOSMA    	*/  252,
/* ZUARAK    	*/  79,
/* ZUBEN ALGUBI */  358,
/* ZUBEN EL AKRAB*/  376,
/* ZUBEN EL GENUBI*/  351,
/* ZUBEN ESCHAMALI*/  362,

};

 
SHORT cons0[] =
{ /* n = 	*/ 0};
SHORT cons1[] =
{ /* n = 	*/ 11, 1, 7, 8, 11, 12, 14, 22, 25, 39, 591, 597};
SHORT cons2[] =
{ /* n = 	*/ 14, 542, 543, 544, 546, 548, 555, 557, 569, 574, 576, 577, 579, 
588, 594};
SHORT cons3[] =
{ /* n = 	*/ 10, 499, 502, 503, 514, 516, 519, 522, 523, 524, 528};
SHORT cons4[] =
{ /* n = 	*/ 4, 418, 436, 437, 440};
SHORT cons5[] =
{ /* n = 	*/ 4, 35, 37, 40, 58};
SHORT cons6[] =
{ /* n = 	*/ 10, 93, 96, 97, 98, 104, 110, 118, 134, 136, 137};
SHORT cons7[] =
{ /* n = 	*/ 10, 330, 335, 342, 344, 345, 349, 352, 357, 361, 370};
SHORT cons8[] =
{ /* n = 	*/ 7, 68, 81, 82, 92, 95, 178, 194};
SHORT cons9[] =
{ /* n = 	*/ 7, 196, 199, 200, 201, 204, 205, 209};
SHORT cons10[] =
{ /* n = 	*/ 6, 276, 304, 308, 315, 324, 328};
SHORT cons11[] =
{ /* n = 	*/ 13, 142, 144, 155, 156, 160, 161, 163, 165, 166, 167, 170, 171, 
173};
SHORT cons12[] =
{ /* n = 	*/ 2, 174, 182};
SHORT cons13[] =
{ /* n = 	*/ 5, 529, 530, 559, 560, 566};
SHORT cons14[] =
{ /* n = 	*/ 12, 146, 189, 190, 197, 213, 214, 225, 232, 239, 240, 241, 249};
SHORT cons15[] =
{ /* n = 	*/ 11, 2, 9, 17, 19, 20, 24, 27, 36, 44, 595, 596};
SHORT cons16[] =
{ /* n = 	*/ 21, 261, 262, 265, 269, 298, 311, 317, 318, 321, 323, 327, 329, 
332, 333, 334, 336, 339, 340, 346, 347, 355};
SHORT cons17[] =
{ /* n = 	*/ 14, 10, 533, 534, 541, 549, 552, 554, 558, 564, 568, 572, 573, 
578, 598};
SHORT cons18[] =
{ /* n = 	*/ 12, 4, 13, 15, 16, 21, 28, 32, 34, 42, 47, 48, 53};
SHORT cons19[] =
{ /* n = 	*/ 3, 126, 131, 133};
SHORT cons20[] =
{ /* n = 	*/ 12, 272, 277, 279, 280, 281, 282, 290, 293, 309, 312, 313, 314};
SHORT cons21[] =
{ /* n = 	*/ 6, 369, 372, 374, 379, 387, 394};
SHORT cons22[] =
{ /* n = 	*/ 6, 268, 270, 271, 275, 287, 291};
SHORT cons23[] =
{ /* n = 	*/ 5, 273, 285, 288, 302, 305};
SHORT cons24[] =
{ /* n = 	*/ 13, 515, 520, 525, 531, 537, 540, 545, 547, 550, 551, 556, 562, 
565};
SHORT cons25[] =
{ /* n = 	*/ 3, 535, 536, 539};
SHORT cons26[] =
{ /* n = 	*/ 3, 112, 122, 128};
SHORT cons27[] =
{ /* n = 	*/ 13, 260, 338, 371, 403, 424, 427, 441, 443, 452, 458, 472, 508, 
521};
SHORT cons28[] =
{ /* n = 	*/ 10, 30, 51, 52, 59, 62, 63, 65, 79, 84, 101};
SHORT cons29[] =
{ /* n = 	*/ 19, 138, 139, 140, 141, 143, 145, 149, 153, 154, 157, 159, 164, 
168, 172, 175, 177, 181, 184, 186};
SHORT cons30[] =
{ /* n = 	*/ 3, 567, 570, 582};
SHORT cons31[] =
{ /* n = 	*/ 16, 391, 398, 402, 406, 409, 410, 411, 422, 428, 429, 430, 431, 
438, 445, 454, 467};
SHORT cons32[] =
{ /* n = 	*/ 11, 195, 203, 207, 219, 237, 244, 248, 296, 316, 326, 341};
SHORT cons33[] =
{ /* n = 	*/ 21, 217, 218, 220, 221, 223, 224, 227, 230, 231, 233, 235, 238, 
242, 247, 251, 252, 256, 257, 258, 259, 264};
SHORT cons34[] =
{ /* n = 	*/ 8, 94, 99, 100, 102, 105, 111, 114, 129};
SHORT cons35[] =
{ /* n = 	*/ 9, 350, 351, 356, 358, 360, 362, 363, 376, 377};
SHORT cons36[] =
{ /* n = 	*/ 7, 348, 354, 359, 365, 366, 373, 386};
SHORT cons37[] =
{ /* n = 	*/ 3, 180, 206, 215};
SHORT cons38[] =
{ /* n = 	*/ 9, 485, 489, 491, 493, 495, 500, 507, 509, 513};
SHORT cons39[] =
{ /* n = 	*/ 5, 147, 148, 150, 152, 162};
SHORT cons40[] =
{ /* n = 	*/ 18, 393, 396, 401, 405, 408, 412, 419, 420, 423, 425, 432, 433, 
435, 444, 447, 451, 459, 461};
SHORT cons41[] =
{ /* n = 	*/ 17, 91, 103, 106, 107, 109, 113, 116, 117, 119, 120, 121, 123, 
125, 127, 130, 132, 135};
SHORT cons42[] =
{ /* n = 	*/ 3, 505, 532, 538};
SHORT cons43[] =
{ /* n = 	*/ 12, 3, 553, 561, 563, 571, 581, 583, 584, 585, 586, 592, 593};
SHORT cons44[] =
{ /* n = 	*/ 19, 31, 41, 43, 45, 46, 49, 50, 54, 55, 56, 57, 60, 64, 66, 67, 
76, 77, 78, 83};
SHORT cons45[] =
{ /* n = 	*/ 1, 6};
SHORT cons46[] =
{ /* n = 	*/ 4, 23, 26, 29, 38};
SHORT cons47[] =
{ /* n = 	*/ 4, 580, 587, 589, 590};
SHORT cons48[] =
{ /* n = 	*/ 11, 151, 158, 169, 176, 179, 183, 185, 187, 188, 191, 192};
SHORT cons49[] =
{ /* n = 	*/ 35, 457, 460, 462, 463, 464, 465, 466, 468, 469, 470, 471, 473, 
475, 476, 478, 479, 480, 481, 482, 483, 484, 487, 488, 494, 496, 498, 501, 
504, 506, 510, 511, 512, 517, 518, 527};
SHORT cons50[] =
{ /* n = 	*/ 23, 385, 388, 389, 390, 392, 395, 399, 400, 404, 407, 413, 414, 
415, 417, 421, 426, 439, 442, 446, 448, 450, 455, 456};
SHORT cons51[] =
{ /* n = 	*/ 3, 486, 490, 492};
SHORT cons52[] =
{ /* n = 	*/ 7, 364, 367, 375, 378, 380, 381, 382};
SHORT cons53[] =
{ /* n = 	*/ 5, 434, 449, 474, 477, 497};
SHORT cons54[] =
{ /* n = 	*/ 18, 61, 69, 70, 71, 72, 73, 74, 75, 80, 85, 86, 87, 88, 89, 90, 
108, 115, 124};
SHORT cons55[] =
{ /* n = 	*/ 3, 5, 18, 575};
SHORT cons56[] =
{ /* n = 	*/ 24, 198, 208, 210, 212, 222, 226, 228, 229, 234, 236, 245, 246, 
250, 253, 254, 255, 263, 267, 274, 306, 319, 322, 331, 337};
SHORT cons57[] =
{ /* n = 	*/ 8, 33, 353, 368, 383, 384, 397, 416, 453};
SHORT cons58[] =
{ /* n = 	*/ 5, 193, 202, 211, 216, 243};
SHORT cons59[] =
{ /* n = 	*/ 19, 266, 278, 283, 284, 286, 289, 292, 294, 295, 297, 299, 300, 
301, 303, 307, 310, 320, 325, 343};
SHORT cons60[] =
{ /* n = 	*/ 1, 526};
SHORT cons61[] =
{ /* n = 	*/ 0};
SHORT cons62[] =
{ /* n = 	*/ 0};
SHORT cons63[] =
{ /* n = 	*/ 0};
SHORT cons64[] =
{ /* n = 	*/ 0};


SHORT *ConstList[MAXCONS] = {
&cons0[0],&cons1[0],&cons2[0],&cons3[0],&cons4[0],&cons5[0],&cons6[0],
&cons7[0],&cons8[0],&cons9[0],&cons10[0],&cons11[0],&cons12[0],&cons13[0],
&cons14[0],&cons15[0],&cons16[0],&cons17[0],&cons18[0],&cons19[0],&cons20[0],
&cons21[0],&cons22[0],&cons23[0],&cons24[0],&cons25[0],&cons26[0],&cons27[0],
&cons28[0],&cons29[0],&cons30[0],&cons31[0],&cons32[0],&cons33[0],&cons34[0],
&cons35[0],&cons36[0],&cons37[0],&cons38[0],&cons39[0],&cons40[0],&cons41[0],
&cons42[0],&cons43[0],&cons44[0],&cons45[0],&cons46[0],&cons47[0],&cons48[0],
&cons49[0],&cons50[0],&cons51[0],&cons52[0],&cons53[0],&cons54[0],&cons55[0],
&cons56[0],&cons57[0],&cons58[0],&cons59[0],&cons60[0],&cons61[0],&cons62[0],
&cons63[0],&cons64[0]
};


SHORT Greek0[] =
{ /* n = 	*/ 0};
SHORT Greek1[] =
{ /* n = 	*/ 51, 1, 6, 9, 30, 33, 38, 40, 53, 60, 89, 92,104, 114, 126,
135, 146, 155, 177, 182, 209, 215, 219, 231, 246, 270, 285, 308, 312, 320, 338, 
342, 347, 348, 351, 374, 380, 404, 428, 440, 444, 485, 512, 522, 529, 536, 
537, 552, 569, 570, 575, 590, 593};
SHORT Greek2[] =
{ /* n = 	*/ 50, 2, 13, 22, 37, 56, 95, 101, 103, 108, 111, 122, 133, 
136, 144, 147, 174, 186, 196, 213, 245, 264, 266, 291, 302, 339, 353, 354, 
357, 362, 372, 382, 390, 406, 436, 441, 451, 491, 511, 515, 524, 530, 532, 
535, 538, 554, 555, 580, 582, 592};
SHORT Greek3[] =
{ /* n = 	*/ 38, 3, 19, 35, 39, 48, 54, 79, 85, 107, 129, 149, 165, 193, 
200, 235, 267, 275, 288, 298, 299, 316, 345, 368, 373, 376, 379, 437, 458, 
465, 500, 519, 531, 539, 559, 567, 576, 587, 598};
SHORT Greek4[] =
{ /* n = 	*/ 35, 8, 24, 58, 64, 65, 86, 113, 166, 172, 201, 202, 252, 269, 
273, 274, 287, 307, 356, 361, 365, 375, 388, 393, 429, 453, 476, 486, 495, 
508, 514, 520, 566, 578, 588, 589};
SHORT Greek5[] =
{ /* n = 	*/ 30, 36, 62, 77, 88, 96, 100, 123, 153, 161, 197, 203, 224, 271, 
306, 310, 327, 349, 366, 396, 413, 416, 422, 479, 489, 499, 521, 540, 543, 
561, 573};
SHORT Greek6[] =
{ /* n = 	*/ 29, 14, 23, 34, 76, 97, 124, 127, 142, 164, 191, 194, 207, 233, 
319, 325, 336, 359, 384, 408, 409, 417, 418, 427, 501, 502, 550, 572, 577, 
583};
SHORT Greek7[] =
{ /* n = 	*/ 31, 17, 21, 26, 49, 51, 74, 98, 106, 141, 145, 173, 230, 240, 
303, 331, 335, 346, 369, 386, 397, 403, 411, 425, 426, 473, 477, 507, 523, 
525, 541, 584};
SHORT Greek8[] =
{ /* n = 	*/ 17, 46, 52, 87, 119, 137, 157, 222, 239, 251, 340, 344, 435, 
446, 497, 528, 571, 574};
SHORT Greek9[] =
{ /* n = 	*/ 15, 4, 44, 57, 93, 121, 204, 208, 214, 258, 317, 343, 360, 371, 
378, 455};
SHORT Greek10[] =
{ /* n = 	*/ 11, 132, 184, 210, 216, 217, 355, 391, 420, 450, 542, 563};
SHORT Greek11[] =
{ /* n = 	*/ 15, 80, 117, 168, 211, 220, 234, 260, 261, 405, 442, 445, 481, 
503, 585, 597};
SHORT Greek12[] =
{ /* n = 	*/ 18, 20, 83, 102, 131, 143, 227, 236, 243, 332, 350, 370, 414, 
424, 454, 471, 562, 564, 586};
SHORT Greek13[] =
{ /* n = 	*/ 8, 151, 244, 255, 333, 392, 434, 443, 459};
SHORT Greek14[] =
{ /* n = 	*/ 12, 61, 78, 154, 187, 254, 352, 383, 389, 433, 472, 498, 568};
SHORT Greek15[] =
{ /* n = 	*/ 9, 42, 66, 84, 163, 198, 223, 449, 467, 591};
SHORT Greek16[] =
{ /* n = 	*/ 9, 7, 91, 160, 169, 341, 385, 430, 506, 565};
SHORT Greek17[] =
{ /* n = 	*/ 4, 55, 192, 401, 438};
SHORT Greek18[] =
{ /* n = 	*/ 8, 125, 176, 212, 358, 394, 399, 496, 516};
SHORT Greek19[] =
{ /* n = 	*/ 12, 32, 50, 59, 90, 158, 259, 330, 398, 407, 461, 504, 551};
SHORT Greek20[] =
{ /* n = 	*/ 7, 63, 67, 109, 225, 377, 439, 510};
SHORT Greek21[] =
{ /* n = 	*/ 2, 226, 488};
SHORT Greek22[] =
{ /* n = 	*/ 5, 116, 189, 247, 248, 263};
SHORT Greek23[] =
{ /* n = 	*/ 4, 250, 381, 452, 594};
SHORT Greek24[] =
{ /* n = 	*/ 5, 25, 167, 218, 232, 402};
SHORT Greek25[] =
{ /* n = 	*/ 0};
SHORT Greek26[] =
{ /* n = 	*/ 0};
SHORT Greek27[] =
{ /* n = 	*/ 0};
SHORT Greek28[] =
{ /* n = 	*/ 0};
SHORT Greek29[] =
{ /* n = 	*/ 0};


SHORT *GreekList[MAXGREEK] = {
&Greek0[0],&Greek1[0],&Greek2[0],&Greek3[0],&Greek4[0],&Greek5[0],&Greek6[0],
&Greek7[0],&Greek8[0],&Greek9[0],&Greek10[0],&Greek11[0],&Greek12[0],&Greek13[0],
&Greek14[0],&Greek15[0],&Greek16[0],&Greek17[0],&Greek18[0],&Greek19[0],&Greek20[0],
&Greek21[0],&Greek22[0],&Greek23[0],&Greek24[0],&Greek25[0],&Greek26[0],&Greek27[0],
&Greek28[0],&Greek29[0]
};

