/* this file contains only help information as initialized char * arrays */   

/* About StarChart ... general help and info */
 SHORT abouthelplines = 93;
 char *abouthelptext[] = 
{
" ",
"                                StarChart",
"                               Version 1.2",
"                                    by",
"                               Ray R. Larson",
"                            Copyright (c) 1988",
" ",
" ",
"I. About StarChart",
" ",
"   StarChart is a program that lets you display and identify about 600",
"stars, galaxies and nebulae visible in the Northern hemisphere. This",
"version of StarChart was written in Manx C (3.6a) by Ray R. Larson. The",
"star data and original concept are derived from an AmigaBasic version by", 
"Robert L. Hill of the Orange County, Calif. Amiga Friends User Group.",
" ",
"  StarChart may be freely copied and distributed, but may not be sold",
"without the permission of the author. Nominal charges for duplication",
"are excluded. Feel free to copy this program and give it away, but",
"please retain the above notice.",
" ",
"   The author can be contacted at the following addresses:",
" ",
" Ray R. Larson",
" 6425 Central Ave. #304",
" El Cerrito, CA 94530",
" ",
" BITNET - LARSON@CMSA.BERKELEY.EDU",
" Amiga Friends BBS - (714)870-4754 - Ray Larson",
" ",
" ",
"II. Using StarChart",
" ",
"   StarChart will only run under AmigaDOS 1.2, and requires about",
"150K of free memory. It will take advantage of expanded (FAST) memory",
"and will permit multitasking (However, it does change some of the color",
"registers, so concurrent tasks may show up with different colors. The",
"default (preferences) colors are restored when you exit from StarChart.)",
"StarChart may be run from WorkBench by double-clicking the StarChart Icon,",
"or from the CLI by typing 'StarChart'. It may also be started by double-",
"clicking an icon created by saving StarChart parameters (see the Parameters ",
"help section).",
"",
"A. The Display",
" ",
"   The initial display shows a Northern view of the sky from Southern",
"California for the current date and time (as set in Preferences). The",
"display can be set for any location, time, date, and view by setting",
"the desired values in the Parameters requester and saving them to a file",
"called DEFAULT.STAR.  If the DEFAULT.STAR file is found in the current",
"directory when StarChart is started, the saved values are used to",
"calculate the initial display.  For more information on setting and saving",
"parameters, select the 'HELP for Parameters' item in the Parameters menu.",
" ",
"  Note that this program must map one quarter of the celestial sphere onto",
"a (relatively) tiny flat screen, so stars appear much closer together than",
"they do in the sky. The stars visible in the lowest portion of the screen",
"would be on the horizon, the stars at the top of screen would appear at",
"your zenith (directly overhead). The center of the screen is due North",
"(or due South, depending on the horizon set), and the sides are East or",
"West. Each inch on the screen represents about 15 degrees of arc.",
" ",
"  The text at the bottom of the screen shows your current viewing",
"location (Latitude and Longitude), the date, and the sidereal time.",
"Sidereal time is based on Greenwich Mean Time (GMT) corrected for your",
"location. The stars displayed are automatically updated for each hour",
"of sidereal time that passes. You can change the rate of this simulated",
"time using the Options menu.",
" ",
"B. Identifying Stars and Constellations",
" ",
"   To display the name and star data for a particular star, position the",
"'starburst' mouse cursor so that the star shows as a white or blue spot",
"in the center of the cursor and click the LEFT mouse button. A window will",
"open showing the common name, Greek name, constellation, position",
"(Right Ascension and Declination), relative brightness (Magnitude),",
"distance from Earth, and comments on the color and name of the star,",
"galaxy or other stellar object. The selected star will be circled on the",
"display and highlighed in magenta while the star data is being displayed.",
"You can move and resize the star data window using the usual window",
"gadgets. Clicking on 'CONTINUE' will either close the window and return",
"to the normal display, or show additional star data if two or more stars",
"happen to be too close together to distinguish on the display.",
"  Clicking the RIGHT mouse button over a star will highlight all of the",
"stars in the constellation to which that star belongs, and the name of",
"the constellation will be shown in the title bar of the screen.",
" ",
"  Additional functions (and there are a lot of them) are accessed by",
"menu selections. Information about those functions can be seen by",
"selecting the 'HELP' item in each menu.",
" ",
"  Click on the close gadget in the upper left of this screen to return",
"to StarChart.",
" ",
" ",
" ",
};

/* project menu help */
 SHORT projhelplines = 62;
 char *projhelptext[] = 
{
"                           Project Menu Help",
" ",
"   Selections in the Project menu provide general information about ",
"the Starchart program, what you are seeing, and how to use it, and ",
"additional ways to identify stars and constellations.",
" ",
"1> About StarChart ...",
" ",
"   Selecting this menu item will display information about the Starchart",
"program, how to interpret the display, and how to use the mouse to",
"identify stars and constellations.",
" ",
"2> Locate Star by Common Name",
" ",
"   Selecting this menu item will bring up a text requester. Type in the name",
"of the star you wish to locate and press return. If the star is visible",
"it will be circled in magenta and blink in red. The complete star data will",
"then appear in a window. Click on the word CONTINUE at the bottom of the",
"information window to close the window and return to normal operations.",
"If the star you are looking for is not in the star table, a message stating",
"that will appear in the title bar of the screen. If the star is in the",
"table, but not currently visible, a message stating that will appear in",
"the title bar and also in the star information window. You can use the",
"Options menu to choose how stars located in this way will be displayed",
"(blink only, blink and star data, star data only).",
" ",
"3> Locate Star by Greek Name",
" ",
"   Selecting this menu item will bring up a text requester similar to",
"the Locate by Common Name item. The display functions are the same as",
"above. The Greek name of a star is composed of two parts, a Greek letter",
"and a constellation name. An example is ALPHA CENTAURI. The Greek letter",
"represents the apparent magnitude (brightness) of the star in the given",
"constellation. Thus ALPHA is brightest, BETA is next brightest and so on.",
"The Greek alphabet is:",
"        ALPHA, BETA, GAMMA, DELTA, EPSILON, ZETA, ETA, THETA,",
"        IOTA, KAPPA, LAMBDA, MU, NU, XI, OMICRON, PI, RHO, SIGMA,",
"        TAU, UPSILON, PHI, CHI, PSI, OMEGA",
"Use the spelled out name of the letter in searching (you don't have to",
"capitalize them). The program tries to avoid problems with Greek grammar",
"by ignoring the last two characters of the constellation name (for example",
"ALPHA CENTAURI, ALPHA CENTAURUS, or even ALPHA CENT will find the same star.",
"The constellations available can be viewed by going to the Constellation",
"menu.",
" ",
"4> Constellation Menu",
" ",
"   Selecting this menu item changes the available menus to the constellation",
"search menu. See the HELP item in the constellation menu for more",
"information on searching for constellations.",
" ",
"5> Help",
" ",
"  Selecting this menu item brings up this set of help messages.",
" ",
"6> Exit",
" ",
"  Selecting this menu item ends the StarChart program and returns you to", 
"WorkBench (or wherever you came from before starting).",
" ",
" ",
" ",
" ",
" "
};

/* parameters menu help */
 SHORT parmhelplines = 100;
 char *parmhelptext[] =
{
" ",
"                             Parameter Menu Help",
" ",
"   The Parameters menu items let you change the location, date and time,",
"and viewing direction for your viewing position on Earth. ",
"",
"1> Set Parameters",
"",
"   Selecting this menu item brings up the parameters requester window.",
"The parameters requester shows the values currently set for your viewing",
"location, date and time, and horizon view. To change any of the values",
"click on the value you want to change using the left mouse button. You",
"can then use the keyboard to type in new values. The DEL and BACKSPACE",
"keys can be used to delete values in each item. The program will only",
"let you enter numbers within the ranges indicated, and will only accept",
"numbers. If you enter a number outside of the acceptable range, the",
"screen will flash and a red question mark '?' will appear next to the",
"item with an invalid value. You will not be able to exit the requester",
"until all items are within the acceptable ranges. (You can, however,",
"click on CANCEL to escape from the requester and ignore all changes.)",
"",
"   The parameters that may be changed are:",
"Longitude (degrees and minutes West(+) or East(-) of the Prime Meridian.)",
"Latitute  (degrees North of the Equator)",
"           Any world atlas will show you the latitude and longitudes of",
"           any location - If you don't have an atlas try calling your local",
"           Public Library reference department!", 
"Date      (the year, month and day)",
"Time      (Hour, minute, and seconds for your local time on a 24 hour clock",
"           the sidereal time will be computed from these values).",
"Horizon   (Click on NORTH for a Northern view, SOUTH for a Southern view",
"           from your location, the current view will be highlighted.)",
"",
"  When you have changed all the parameters you want, click on the OK",
"at the bottom of the requester. The requester will vanish and the star",
"positions for the requested location, date, time, and view will be",
"calculated, and the star chart re-drawn.",
"",
"2> Save Parameters",
"",
"   Selecting this menu item will bring up a requester for a file name.",
"The name provided in the requester, DEFAULT.STAR, is a special file",
"that is used (if available) to calculate the initial star display when",
"StarChart is started. You can modify the file name to whatever you",
"wish, then click on SAVE to save the current location information.",
"The requester only shows directories (drawers) and files that end with",
"the extension '.STAR'. Select file or directory names by clicking on ",
"them. Use the scroll bar or up and down arrows to move up and down in",
"a long list of files. The buttons in the lower part of the requester",
"let you change the disk you are examining. These are DF0: (the ",
"internal drive, DF1: (external drive), DH0: (a hard disk), VD0: (the",
"common name for the ASDG recoverable RAM disk) and RAM: (the system",
"RAM disk). If you click on a device that is not installed on your system",
"AmigaDOS will kick you back to the workbench screen and display a",
"requester asking you to put some disk in any drive. Don't panic, just",
"click on CANCEL and the requester will go away, then hold down the LEFT",
"AMIGA key (solid red A) and simultaneously press the 'M' key, and you",
"will be back in StarChart where you left off. The PARENT button in the",
"save requester lets you move up one level in the directory hierarchy.",
"You can click in the string area labelled 'File:' and type any name that",
"you want to use for the file. The extension '.STAR' will be added to that",
"name automatically.",
"   Both your viewing parameters and any screen colors set in the OPTIONs",
"menu are saved in the named file. An icon is also created for the file so",
"that you can return directly to the location saved by clicking on the icon",
"from Workbench. (Note that to start from these icons requires that they and",
"the starchart program be in the same directory).",
"",
"3> Load Parameters",
"",
"   Selecting this menu item will bring up the same sort of requester as",
"the Save Parameters requester described above. Select the '.STAR' file",
"that you wish to use and click on the LOAD button to get the location",
"and color information stored there installed into StarChart.",
"",
"",
"4> Restore Parameters",
"",
"   Selecting this menu item will reset your viewing location, etc., to",
"the initial start-up values. If the location information was read from",
"the DEFAULT.STAR file, the file will be re-read. This means that if you",
"have replaced the DEFAULT.STAR file with updated parameters, those new",
"parameters will be read when you select restore.",
"",
"",
"5> Use System Time",
"",
"   Selecting this menu item will reset your date and time-of-day parameters",
"using the current time in the system clock. This will be useful only if",
"you have a real-time clock that set the system date and time for you, or",
"if you are conscientious enough to set the date and time in PREFERENCES", 
"whenever you start up your Amiga.",
"",
"",
"6> Help for Parameters",
"",
"  Selecting this menu item displays this set of help messages.",
"",
"",
"",
"",
"",
"",
};

/* options menu help */
 SHORT opthelplines = 85;
 char *opthelptext[] =
{
"",
"                                Options Menu Help",
"",
"",
"   The Options menu provides several options for choosing how stars will",
"be displayed in the StarChart program.",
"",
"1> Change Magnitude Display Levels",
"",
"   Selecting this menu item calls up a requester that will let you set",
"the magnitude for different types of display on the main star chart.",
"Magnitude is a measure of the relative brightness of stars. It ranges",
"from slightly less than zero for the brightest stars to over 15 for very",
"dim (and distant) objects such as remote galaxies. The two values presented",
"in the magnitude requester can be changed to indicate the HIGHEST magnitude",
"values that will appear as a small plus sign '+', or as a white dot in the",
"display. All stars with magnitudes higher than the maximum value selected",
"for a white dot display will appear as blue dots. Using the magnitude",
"settings you can tailor the display to show, for example, only the stars",
"that would appear in a bright city sky (by setting magnitude for plus",
"to about 2.5 and magnitude for white dot to about 2.9. The default startup",
"settings for magnitude are 2.0 for plus and 5.0 for white dot.",
"",
"2> Change Sidereal Clock Speed",
"",
"   Selecting this menu item brings up a request that lets you set the",
"speed that apparent time passes in the StarChart program. Normally, one",
"second of 'real' clock time passes for each second ticked off on the",
"sidereal time display at the bottom of the StarChart screen. The clock",
"speed set for this normal time display is 1 -- that is 1 second of",
"simulated time for each second of real time. This ratio can be changed",
"up to 1800 seconds (a half hour of simulated time) for each second of",
"real time. Setting the simulated time that high means that the display",
"will be almost continually re-calculated and redisplayed, since the display",
"is automatically updated for each hour of simulated time that passes.",
"When you have a Northern horizon set, and a high simulated time ratio,",
"you can see how the stars rotate around Polaris, the Pole Star.",
"",
"",
"The following three menu items govern what sort of display is given when",
"a star is searched for by common name or by Greek name. They do not affect",
"the display given when selecting stars or constellations using the mouse",
"buttons.",
"",
"3> Display Both Star and Info",
"",
"   Selecting this menu item shows that located stars will be highlighted",
"and blinked on the screen, and then the full star data for the star will",
"be shown.",
"",
"4> Display Star Only",
"",
"   Selecting this menu item inhibits the display of the full star data.",
"Visible stars located will be blinked, but no additional data will be",
"shown. If the star is not visible a message to that effect will appear",
"in the title bar of the screen.",
"",
"",
"5> Display Info Only",
"",
"   Selecting this menu item inhibits blinking of the located star, but",
"the full data will be shown regardless of whether the star is currently",
"visible.",
"",
"",
"6> Change Screen Colors",
"",
"   Selecting this menu item will bring up a requester that lets you",
"change any of the colors used in the StarChart display. Click on the",
"color you wish to change and use the sliders in the middle of the",
"requester to modify the proportions of red(R), blue(B), and green(G)",
"used for items in that color. When you are happy with the colors, click",
"on the OK button to exit from the requester. Clicking on CANCEL exits",
"from the requester and resets the colors to what they were when you",
"selected the menu item. Clicking on RESTORE sets the colors to their",
"default (start-up) values.",
"",
"",
"7> Help for Options",
"",
"   Selecting this menu item displays this set of help messages.",
"",
"",
"",
"",
"",
" "
};

/* constellations menu help */
 SHORT conshelplines = 74;
 char *conshelptext[] =
{
"",
"                        Constellation Menus Help",
"",
"   The Constellation menus provide ways of searching for constellations",
"and for showing different groups of stars such as the Zodiac constellations,",
"Messier objects and NGC galaxies. There are four menus in the constellation",
"menus set. The first is discussed below. The other three menus contain the",
"names of the sixty constellations that can be identified by the program.",
"  To see any of these sixty constellations, just select it's name from one",
"of the menus. The name (and meaning of the name) will be shown in the title",
"bar, and all of the stars of the constellation will be highlighted in red.",
"",
"Constellation Options Menu",
"",
" The first menu gives a number of options governing how the star information",
"for constellations is displayed.",
"",
"1> Display Stars Only",
"",
"   Selecting this menu item (the startup default) will simply highlight",
"all of the stars of a selected constellation in red, and show the name",
"and meaning in the screen title bar.",
"",
"2> Display Both Stars and Info",
"",
"   Selecting this menu item will highlight the stars of the constellation",
"as above, and then will highlight and circle each individual star in the",
"constellation and show the full star data for that individual star. If",
"particular stars of the constellation are not currently visible (i.e. below",
"the horizon) the star information will still be given with a note that the",
"star is not currently visible.",
"",
"3> Display Info Only",
"",
"   Selecting this menu option will show only the star data for the stars",
"in the constellation. However, each visible star will be highlighted as",
"the information for that star is shown.",
"",
"4> Display Major Stars Only",
"",
"   Selecting this menu item will show only the major stars of each ",
"constellation (in any of the display modes above). The major stars are",
"those identified with a Greek name. If you select this option, stellar",
"objects that are IN a constellation, but not considered part of it, will",
"NOT be displayed.",
"",
"5> Show Zodiac Constellations",
"",
"  Selecting this menu item will highlight all of the visible constellations",
"of the Zodiac in red. Then each individual visible constellation will be",
"blinked in blue and magenta and its name will be shown in the title bar",
"of the screen.",
"",
"6> Show Messier Objects",
"",
"   Selecting this menu item will display all of the objects of the Messier",
"catalog (galaxies, nebulae, etc.) that are included in the program. They",
"will be highlighted in red.",
"",
"7> Show NGC Galaxies",
"",
"   Selecting this menu item will display all of the objects of the New",
"General Catalog (NGC) of galaxies, nebulae, etc. that are included in the", 
"program. They will be highlighted in red.",
"",
"8> Constellation Menus Help",
"",
"   Selecting this menu item will bring up this set of help messages.",
"",
"9> Return to Main Menu",
"",
"   Selecting this menu item will restore the main StarChart menu.",
"",
"",
"",
" "

};

